std::hash< basic_string< char, char_traits< char >, _Alloc > > Struct Template Reference

`#include <basic_string.h>`

Inherits std::__str_hash_base< _CharT, _Alloc, _StrT >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const _StrT &__s) const noexcept

## Detailed Description

template<typename _Alloc>
struct std::hash< basic_string< char, char_traits< char >, _Alloc > >

std::hash specialization for string.

Definition at line 4623 of file basic_string.h.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<typename _CharT , typename _Alloc , typename _StrT = basic_string<_CharT, char_traits<_CharT>, _Alloc>>

size_t std::__str_hash_base< _CharT, _Alloc, _StrT >::operator() | ( | const _StrT & | __s | ) | const

inline noexcept inherited

Definition at line 4616 of file basic_string.h.

The documentation for this struct was generated from the following file:

- basic_string.h